Announcement

Collapse
No announcement yet.

Need???

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Need???

    Do i need to install the previous patch 1.1 before installing 1.2?, just got the game today trying to get up to speed.

    thanks

    #2
    Nope. The 1.2 patch is cumulative.

    Comment


      #3
      alright thanks dling now

      Comment

      Working...
      X